clear all
%close all

% folders
GCOUT = '/data/home/yxzhang/GEOS-Chem/run.geos5.4x5.hg/GC_OUT/a';
MGIN = '/data/home/yxzhang/MITgcm/verification/global_hg_llc90/run/MG_INa/';
GCIN = '/data/home/yxzhang/GEOS-Chem/run.geos5.4x5.hg/GC_INa/';
MGOUT = '/data/home/yxzhang/MITgcm/verification/global_hg_llc90/run/MG_OUTaa/';

% load grids
addpath(genpath('/data/home/yxzhang/DarwinFuture/library'));
addpath(genpath('/data/home/yxzhang/Budget/budget'));
gcmfaces_global;
dir0=[myenv.gcmfaces_dir '/sample_input/'];
nF=5;
fileFormat='compact';
dirGrid=[dir0 '../../GRID/'];
grid_load(dirGrid,nF,fileFormat,1);

% load and plot 
time_start=192852;  %20140101
time_end=201612;    %20150101
date_start=datenum(2014,1,1);

for i=193191:time_end
%	hg0 = rdbin(strcat(MGIN,'Hg0Atm.',sprintf('%010d',i)),[90 1170]);
%	hg2dep = rdbin(strcat(MGIN,'Hg2Dep.',sprintf('%010d',i)),[90 1170]);
%	fluxhg0 = rdbin(strcat(MGOUT,'FluxHg0.',sprintf('%010d',i),'.data'),[90 1170]);
%   hg0 = load(strcat(GCOUT,'Hg0Atm.',sprintf('%010d',i-step_lat)));
%	hg2dep = load(strcat(GCOUT,'Hg2Dep.',sprintf('%010d',i-step_lat)));
%    fluxhg0 = load(strcat(GCIN,'FluxHg0.',sprintf('%010d',i-step_lat)));
    file = strcat('FluxHg0.',sprintf('%010d',i),'.data');
    data = read2memory(strcat(MGOUT,file),[90 1170]);

% 画flux hg0分布图
    geodraw(-data*200.6/1000,[-90 90 -180 180],[-90 90 -180 180],linspace(-1e-15,1e-15,65),b2r(-1e-15,1e-15));
    colorbar
    title(strcat(datestr((i-time_start)/24+date_start),', Hg0 Evasion, kg m^{-2}s^{-1}'));
    saveas(gcf,strcat('../plots/fluxhg0/FluxHg0-',sprintf('%010d',i),'.png'));

% plot
%	subplot(2,2,3),imagemg(-fluxhg0),caxis([-3e-15 3e-15]),colormap(b2r(-3e-15,3e-15));
%	subplot(2,2,1),
%   imagemg(hg0),caxis([0 2]),colormap(idl),title(strcat(datestr((i-time_start)/24+date_start),', Atmospheric Hg0, ng m^{-3}'));
%	subplot(2,2,2),imagemg(hg2dep),caxis([0 3e-15]),colormap(idl);
%imagesc(flipud(hg0)),caxis([0 2.5]),colorbar, colormap(idl); title(strcat(datestr((i-time_start)/24+date_start),', Atmospheric Hg0, ng m^{-3}'));
%saveas(gca,strcat('plots/hg0atm',num2str(i),'.jpg'));

%imagesc(flipud(fluxhg0*0.2006)),caxis([-1e-15 1e-15]),colorbar, colormap(b2r(-1e-15,1e-15)); title(strcat(datestr((i-time_start)/24+date_start),', Hg0 Evasion, kg m^{-2}s^{-1}'));
%saveas(gca,strcat('plots/hg0flux',num2str(i),'.jpg'));

end
