% a server to transfer 
clear all
close all

% get grid info
addpath(genpath('/data/home/yxzhang/DarwinFuture/library'));

%% interpolate 4x5->90x1170
%folder locations
CPL_ROOT = '/data/home/yxzhang/AtmSoilOcean';
GCIN = [CPL_ROOT '/GEOS-Chem/run.geos5.4x5.hg.online/GC_IN/'];
MGOUT = [CPL_ROOT '/MITgcm/verification/global_hg_llc90/run/MG_OUT/'];

%archive folders
GCINa = [CPL_ROOT '/GEOS-Chem/run.geos5.4x5.hg.online/GC_INa/'];
MGOUTa = [CPL_ROOT '/MITgcm/verification/global_hg_llc90/run/MG_OUTa/'];

step_lag = 140243; 
% for 20080101, GC is step 1, but MG is 140244
sign_transfer = -1;   % Note, negative numbers mean flux leaving ocean, but entering atmosphere

% load regrid variables
lat_index = read2memory('lat_index_90x1170_to_72x46.llc90.bin',[90 1170]);
lon_index = read2memory('lon_index_90x1170_to_72x46.llc90.bin',[90 1170]);
wgt_factor = read2memory('wgt_factor_90x1170_to_72x46.llc90.bin',[90 1170]);

while(1)
	% get the file lists of MG_OUT
    filelist_mgout = dir_date(strcat(MGOUT,'FluxHg0.*.data'));
	% get the file lists of GC_IN
	filelist_gcin = dir_date(strcat(GCIN,'FluxHg0.*.ready'));

	n_file_mgout = numel(filelist_mgout);
	n_file_gcin = numel(filelist_gcin);
	if n_file_mgout > n_file_gcin
        % do regrid
		for i = n_file_gcin+1 : n_file_mgout
			filename = filelist_mgout(i).name;
			filename_new = strcat(filename(1:8),sprintf('%010d',str2double(filename(9:18))-step_lag));
			
			dataout = zeros(72,46);

			count = 0;
            err_count = 0;
            while count == err_count
				try
				datain = read2memory(strcat(MGOUT,filename),[90 1170]);
				for i_90x1170=1:90
					for j_90x1170=1:1170	
						dataout(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) = ...
						dataout(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) + ...
						sign_transfer * wgt_factor(i_90x1170,j_90x1170) * datain(i_90x1170,j_90x1170); 
					end
				end

				catch
					err_count = err_count + 1;
				end
				count = count + 1;
		
			end

      % safety
      dataout(isnan(dataout) | isinf(dataout)) = 0;

            % write to a text file
			fid = fopen(strcat(GCIN,filename_new),'W');
			for j=1:46
				for i=1:72
					fprintf(fid,'%e ',dataout(i,j));
                end
                fprintf(fid,'\n');
            end
            fclose(fid);
            fid = fopen(strcat(GCIN,filename_new,'.ready'),'w');   
			fclose(fid);
			disp([filename '=>' filename_new]);
		end

		% do relocate
		for i = 1:n_file_gcin
			filename = filelist_mgout(i).name;
			filename_new = strcat(filename(1:8),sprintf('%010d',str2double(filename(9:18))-step_lag));

			movefile(strcat(MGOUT,filename),strcat(MGOUTa,filename));
			movefile(strcat(MGOUT,filename(1:end-4),'meta'),strcat(MGOUTa,filename(1:end-4),'meta'));
			movefile(strcat(GCIN,filename_new),strcat(GCINa,filename_new));
			movefile(strcat(GCIN,filename_new,'.ready'),strcat(GCINa,filename_new,'.ready'));
		end
	end

end

