function [dataout,precp_save] = rescale_precip_base(datain,MG_step,precp_save)


%% load grid
%gcmfaces_global;
%global mytri;
%
%%gcmfaces_global;
%dir0=[myenv.gcmfaces_dir '/sample_input/'];
%
%nF=5;
%fileFormat='compact';
%dirGrid=[dir0 '../../GRID/'];
%
%mygrid=[];
%grid_load(dirGrid,nF,fileFormat,1);
%
%global mygrid_refgrid
%mygrid_refgrid=mygrid;
%   

% a tiny number for safety
tiny = 1e-32;

%data in: 72x46
global x y
x_new = x;
ind=find(x<0);
x_new(ind)=x_new(ind)+360;

%figure,imagesc(flipud(transpose(datain))),title('datain');

% MG_step (hour) to file name
% 140244 -> 20080101 00:00
date_num = (MG_step - 140244)/24 + 733408;  % in matlab format, unit: day
%disp(date_num);
   
% file name
date_vec = datevec(date_num);  %733408=datenum(2008,1,1)	
year = date_vec(1);
month = date_vec(2);
day = date_vec(3);
hour = date_vec(4);
%disp([year month day]);

% date_num values for the file
if year == 2018
	date_num_file = datenum(year,1,1)+3/24:0.25:datenum(year,6,1)-0.25;
	n_step_file = numel(date_num_file);
else
	date_num_file = datenum(year,1,1)+3/24:0.25:datenum(year+1,1,1);
	n_step_file = numel(date_num_file);
end
%disp(n_step_file);

if (month == 1 && day == 1 && hour == 0) || numel(precp_save) == 0  % a new year, need to load and interp data
   filename = strcat('EIG_rain_',sprintf('%4d',year));
   precp_save = pos(rdbin(strcat('/data/home/yxzhang/MITgcm/verification/global_hg_llc90/run/forcing/',filename),[512 256 n_step_file]));
end   
   
   % exf file grid   
   lwdown_lon0        =   0.0000000;
   lwdown_lon_inc     =   0.7031250;
   lwdown_lat0        = -89.4628220;
   lwdown_lat_inc     = [0 0.6958694,0.6999817,0.7009048,0.7012634,0.7014313,repmat(0.7017418,[1,245]),0.7014313,0.7012634,0.7009048,0.6999817,0.6958694];
   lon_out = lwdown_lon0 + ((1:512)-1)*lwdown_lon_inc;
   lat_out = lwdown_lat0 + cumsum(lwdown_lat_inc);   
   [lat_out2,lon_out2] = meshgrid(lat_out,lon_out);
    
% MG_step to hour index
if date_num <= date_num_file(1)
	data_select = precp_save(:,:,1);
% disp('1 case')
elseif date_num >= date_num_file(end)
	data_select = precp_save(:,:,end);
% 	disp('2 case')
else
    for index_file=1:n_step_file-1
    	if date_num_file(index_file) <= date_num && date_num_file(index_file+1) > date_num
    		data_select = ((date_num_file(index_file+1) - date_num) * precp_save(:,:,index_file) + ...
			              (date_num - date_num_file(index_file)) * precp_save(:,:,index_file+1)) / ...
						  (date_num_file(index_file+1) - date_num_file(index_file));
%			disp('3 case');
%			disp(index_file);
			break;
    	end
    end
end

% interp precipitation from era_interim -> model grid
data_select_90x1170 = pos(interp2(lat_out2,lon_out2,data_select,y,x_new,'spline'));


%figure,imagemg(data_select_90x1170),title('data_select_90x1170');

% find the 4x5 grid scale deposition
%lat_index = read2memory('lat_index_90x1170_to_72x46.llc90.bin',[90 1170]);
%lon_index = read2memory('lon_index_90x1170_to_72x46.llc90.bin',[90 1170]);
global lat_index lon_index wgt_factor
preip_72x46 = zeros(72,46);
for i_90x1170=1:90
	for j_90x1170=1:1170	
		preip_72x46(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) = ...
		preip_72x46(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) + ...
		   data_select_90x1170(i_90x1170,j_90x1170)*wgt_factor(i_90x1170,j_90x1170); 	   
	end
end
%figure,imagesc(flipud(transpose(preip_72x46))),title('preip_72x46');

for i_90x1170=1:90
	for j_90x1170=1:1170	
	    if preip_72x46(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) > tiny && ...
		   wgt_factor(i_90x1170,j_90x1170) > tiny
		   
			scale = data_select_90x1170(i_90x1170,j_90x1170) / ...
				preip_72x46(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)); 	 

			dataout(i_90x1170,j_90x1170) = ...
				datain(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170)) * scale;
      else
			  dataout(i_90x1170,j_90x1170) = datain(lon_index(i_90x1170,j_90x1170),lat_index(i_90x1170,j_90x1170));  % no scale
	  	end
	end
end

% safety
dataout(isnan(dataout) | isinf(dataout) | dataout < 0) = 0;

%figure,imagemg(dataout),title('dataout');
%disp(mean(mean(datain)));
%disp(mean(mean(dataout)));
%pause
end